%define tallocmajor      2
%define libtalloc        %mklibname talloc %{tallocmajor}
%define tallocdevel      %mklibname talloc -d

%define pytallocmajor    2
%define libpytalloc      %mklibname pytalloc-util %{pytallocmajor}
%define libpytallocdevel %mklibname pytalloc-util -d

%define check_sig() export GNUPGHOME=%{_tmppath}/rpm-gpghome \
if [ -d "$GNUPGHOME" ] \
then echo "Error, GNUPGHOME $GNUPGHOME exists, remove it and try again"; exit 1 \
fi \
install -d -m700 $GNUPGHOME \
gpg2 --import %{1} \
gpg2 --trust-model always --verify %{2} \
rm -Rf $GNUPGHOME \


Name:           talloc
# tallocversion was not used when in samba4, so it was 4.0.0
Epoch:          1
Version:        2.4.2
Release:        %mkrel 1
Summary:        Library implementing Samba's memory allocator
License:        GPLv3
Group:          System/Libraries
URL:            https://talloc.samba.org/
Source:         https://talloc.samba.org/ftp/talloc/talloc-%{version}.tar.gz
Source1:        https://talloc.samba.org/ftp/talloc/talloc-%{version}.tar.asc
Source2:        samba-bugs.asc

BuildRequires:  gnupg2
BuildRequires:  acl-devel
BuildRequires:  xsltproc
BuildRequires:  docbook-style-xsl
BuildRequires:  pkgconfig(python3)

%description
Library implementing Samba's memory allocator.

%package -n %{libtalloc}
Summary:        Library implementing Samba's memory allocator
Group:          System/Libraries

%description -n %{libtalloc}
Library implementing Samba's memory allocator.

%package -n %{tallocdevel}
Summary:        Library implementing Samba's memory allocator
Group:          Development/C
Provides:       talloc-devel = %{epoch}:%{version}-%{release}
Requires:       %{libtalloc} = %{epoch}:%{version}-%{release}
BuildRequires:  swig

%description -n %{tallocdevel}
Library implementing Samba's memory allocator.

%package -n python3-talloc
Summary:        Python 3 module for Samba's talloc memory allocator
Group:          Development/Python
%{?python_provide:%python_provide python3-talloc}

%description -n python3-talloc
Python 3 module for Samba's talloc memory allocator.

%package -n %{libpytalloc}
Summary:        Utility functions for using talloc objects with Python 3
Group:          Development/C

# ease upgrade
Conflicts: python3-talloc < 1:2.1.16-3

%description -n %{libpytalloc}
Utility functions for using talloc objects with Python 3.

%package -n %{libpytallocdevel}
Summary:        Utility functions for using talloc objects with Python 3
Group:          Development/C
Requires:       %{libpytalloc} = %{epoch}:%{version}
Provides:       pytalloc-util-devel = %{version}-%{release}

%description -n %{libpytallocdevel}
Utility functions for using talloc objects with Python 3.

%prep

#Try and validate signatures on source:
VERIFYSOURCE=%{SOURCE0}
VERIFYSOURCE=${VERIFYSOURCE%%.gz}
gzip -dc %{SOURCE0} > $VERIFYSOURCE

%check_sig %{SOURCE2} %{SOURCE1} $VERIFYSOURCE

rm -f $VERIFYSOURCE

%setup -q
%autopatch -p1

# replace removed time.clock()
sed -i -e "s,time\.clock(),time.perf_counter(),g" buildtools/wafsamba/samba_deps.py

# fix for python3.8
sed -i -e "/all_flags/s,\('--libs'\),\1\, '--embed'," third_party/waf/waflib/Tools/python.py

%build
%configure
%make_build

%install
%make_install

%files -n %{libtalloc}
%{_libdir}/libtalloc.so.%{tallocmajor}{,.*}

%files -n %{tallocdevel}
%{_libdir}/libtalloc.so
%{_includedir}/talloc.h
%{_libdir}/pkgconfig/talloc.pc
%{_mandir}/man3/talloc*

%files -n python3-talloc
%{python3_sitearch}/talloc.cpython*.so

%files -n %{libpytalloc}
%{_libdir}/libpytalloc-util.cpython*.so.%{pytallocmajor}{,.*}

%files -n %{libpytallocdevel}
%{_includedir}/pytalloc.h
%{_libdir}/libpytalloc-util.cpython*.so
%{_libdir}/pkgconfig/pytalloc-util.cpython-*.pc


%changelog
* Thu Jun 27 2024 daviddavid <daviddavid> 1:2.4.2-1.mga10
+ Revision: 2077434
- new version: 2.4.2

* Tue Dec 26 2023 joequant <joequant> 1:2.4.1-2.mga10
+ Revision: 2021748
- update to py3.12

* Mon Aug 28 2023 buchan <buchan> 1:2.4.1-1.mga10
+ Revision: 1980678
- Update to 2.4.1

* Mon Jun 20 2022 luigiwalser <luigiwalser> 1:2.3.4-1.mga9
+ Revision: 1865297
- 2.3.4

* Wed Mar 30 2022 umeabot <umeabot> 1:2.3.3-3.mga9
+ Revision: 1834349
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 1:2.3.3-2.mga9
+ Revision: 1773473
- Rebuild for python-3.10

* Mon Aug 30 2021 buchan <buchan> 1:2.3.3-1.mga9
+ Revision: 1743657
- New version 2.3.3

* Mon May 03 2021 neoclust <neoclust> 1:2.3.2-1.mga9
+ Revision: 1721095
- New version 2.3.2

* Tue Mar 16 2021 tmb <tmb> 1:2.3.1-2.mga9
+ Revision: 1703863
- rebuild for python 3.9

* Sat Apr 18 2020 buchan <buchan> 1:2.3.1-1.mga8
+ Revision: 1568851
- Update to 2.3.1
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 1:2.1.16-5.mga8
+ Revision: 1532204
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 16 2019 daviddavid <daviddavid> 1:2.1.16-4.mga8
+ Revision: 1442129
- let pytalloc-util pkgconfig .pc file name as it should

* Mon Sep 16 2019 daviddavid <daviddavid> 1:2.1.16-3.mga8
+ Revision: 1442045
- library pytalloc-util.so should be in his own subpkg

* Wed Sep 11 2019 wally <wally> 1:2.1.16-2.mga8
+ Revision: 1439806
- fix pytalloc-util pkgconfig .pc file
- another rebuild for python3.8

* Wed Sep 11 2019 wally <wally> 1:2.1.16-1.mga8
+ Revision: 1439791
- rebuild for python3.8
- drop python2 support

* Sat Mar 09 2019 luigiwalser <luigiwalser> 1:2.1.16-1.mga7
+ Revision: 1372990
- drop unnecessary patch
- 2.1.16

* Sun Jan 20 2019 luigiwalser <luigiwalser> 1:2.1.15-1.mga7
+ Revision: 1358382
- add patch from fedora
- pathfix is no longer used
- python3 is now the default and python2 is the extra-python
- fix hardcoded path to waf (from fedora)
- 2.1.15

* Mon Jan 07 2019 zezinho <zezinho> 1:2.1.14-3.mga7
+ Revision: 1351127
- rebuild for python3.7

* Wed Nov 28 2018 tv <tv> 1:2.1.14-2.mga7
+ Revision: 1336388
- enable python3 support

* Fri Oct 26 2018 bcornec <bcornec> 1:2.1.14-1.mga7
+ Revision: 1325821
- update to upstream talloc-2.1.14 to build samba 4.9.1

* Sun Sep 23 2018 umeabot <umeabot> 1:2.1.13-3.mga7
+ Revision: 1301313
- Mageia 7 Mass Rebuild

* Mon May 07 2018 wally <wally> 1:2.1.13-2.mga7
+ Revision: 1227515
- check sigs with gnupg2 when building

* Mon Apr 16 2018 daviddavid <daviddavid> 1:2.1.13-1.mga7
+ Revision: 1219422
- new version: 2.1.13

* Fri Jan 26 2018 luigiwalser <luigiwalser> 1:2.1.11-1.mga7
+ Revision: 1197213
- 2.1.11

* Wed Nov 15 2017 neoclust <neoclust> 1:2.1.10-1.mga7
+ Revision: 1177427
- New version 2.1.10

* Mon Mar 13 2017 luigiwalser <luigiwalser> 1:2.1.9-1.mga6
+ Revision: 1092316
- 2.1.9

* Wed Aug 10 2016 luigiwalser <luigiwalser> 1:2.1.8-1.mga6
+ Revision: 1045351
- 2.1.8

* Wed May 25 2016 luigiwalser <luigiwalser> 1:2.1.7-1.mga6
+ Revision: 1018506
- 2.1.7

* Fri May 06 2016 luigiwalser <luigiwalser> 1:2.1.6-1.mga6
+ Revision: 1009954
- 2.1.6

* Fri Dec 25 2015 neoclust <neoclust> 1:2.1.5-1.mga6
+ Revision: 914686
- New version 2.1.5

* Wed Sep 23 2015 neoclust <neoclust> 1:2.1.3-1.mga6
+ Revision: 882453
- New version 2.1.3

* Fri Aug 21 2015 tmb <tmb> 1:2.1.2-2.mga6
+ Revision: 867690
- rebuild for new gcc

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1:2.1.2-1.mga6
+ Revision: 836996
- 2.1.2

* Wed Oct 15 2014 umeabot <umeabot> 1:2.1.1-4.mga5
+ Revision: 745790
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:2.1.1-3.mga5
+ Revision: 730500
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:2.1.1-2.mga5
+ Revision: 689686
- Mageia 5 Mass Rebuild

* Fri May 23 2014 luigiwalser <luigiwalser> 1:2.1.1-1.mga5
+ Revision: 625224
- 2.1.1

* Sat Oct 19 2013 umeabot <umeabot> 1:2.1.0-2.mga4
+ Revision: 534838
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 luigiwalser <luigiwalser> 1:2.1.0-1.mga4
+ Revision: 479129
- 2.1.0

* Mon Jan 14 2013 umeabot <umeabot> 1:2.0.8-2.mga3
+ Revision: 384034
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 buchan <buchan> 1:2.0.8-1.mga3
+ Revision: 332038
- New version 2.0.8

* Fri Nov 30 2012 pterjan <pterjan> 1:2.0.7-2.mga3
+ Revision: 323253
- BuildRequires gnupg for signature check

* Thu Dec 22 2011 buchan <buchan> 1:2.0.7-1.mga2
+ Revision: 185816
- New version 2.0.7
- Add signature verification
+ tv <tv>
- new release

* Fri May 13 2011 buchan <buchan> 1:2.0.5-2.mga1
+ Revision: 97824
- Correct package names and add dependencies for new subpackages

* Wed Apr 13 2011 tv <tv> 1:2.0.5-1.mga1
+ Revision: 84640
- New version 2.0.5
- Help waf find the right place for python modules on x86_64
- BR python-devel
- waf configure works with %%configure2_5x, drop waf BR
- buildrequire waf

* Tue Jan 11 2011 dmorgan <dmorgan> 1:2.0.1-2.mga1
+ Revision: 5580
- imported package talloc


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.1-2mdv2011.0
+ Revision: 607972
- rebuild

* Wed Feb 24 2010 Buchan Milne <bgmilne@mandriva.org> 1:2.0.1-1mdv2010.1
+ Revision: 510761
- import talloc


